Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.lang
Class Validate

    java.lang.Object
      org.apache.commons.lang.Validate

public class Validate
extends java.lang.Object

Assists in validating arguments.

The class is based along the lines of JUnit. If an argument value is deemed invalid, an IllegalArgumentException is thrown. For example:

     Validate.isTrue( i > 0, "The value must be greater than zero: ", i);
     Validate.notNull( surname, "The surname must not be null");

Since:
  2.0
Version:
  $Id: Validate.java 437554 2006-08-28 06:21:41Z bayard $
Author:
  Ola Berg, Stephen Colebourne, Gary Gregory, Norm Deane

Constructor Summary
`Validate()` Constructor.

Method Summary
`static void` | `allElementsOfType(java.util.Collection collection, java.lang.Class clazz)` Validate an argument, throwing `IllegalArgumentException` if the argument collection is `null` or has elements that are not of type `clazz` or a subclass.
`static void` | `allElementsOfType(java.util.Collection collection, java.lang.Class clazz, java.lang.String message)` Validate an argument, throwing `IllegalArgumentException` if the argument collection is `null` or has elements that are not of type `clazz` or a subclass.
`static void` | `isTrue(boolean expression)` Validate an argument, throwing `IllegalArgumentException` if the test result is `false`.
`static void` | `isTrue(boolean expression, java.lang.String message)` Validate an argument, throwing `IllegalArgumentException` if the test result is `false`.
`static void` | `isTrue(boolean expression, java.lang.String message, double value)` Validate an argument, throwing `IllegalArgumentException` if the test result is `false`.
`static void` | `isTrue(boolean expression, java.lang.String message, long value)` Validate an argument, throwing `IllegalArgumentException` if the test result is `false`.
`static void` | `isTrue(boolean expression, java.lang.String message, java.lang.Object value)` Validate an argument, throwing `IllegalArgumentException` if the test result is `false`.
`static void` | `noNullElements(java.util.Collection collection)` Validate an argument, throwing `IllegalArgumentException` if the argument Collection has `null` elements or is `null`.
`static void` | `noNullElements(java.util.Collection collection, java.lang.String message)` Validate an argument, throwing `IllegalArgumentException` if the argument Collection has `null` elements or is `null`.
`static void` | `noNullElements(java.lang.Object[] array)` Validate an argument, throwing `IllegalArgumentException` if the argument array has `null` elements or is `null`.
`static void` | `noNullElements(java.lang.Object[] array, java.lang.String message)` Validate an argument, throwing `IllegalArgumentException` if the argument array has `null` elements or is `null`.
`static void` | `notEmpty(java.util.Collection collection)` Validate an argument, throwing `IllegalArgumentException` if the argument Collection is empty (`null` or no elements).
`static void` | `notEmpty(java.util.Collection collection, java.lang.String message)` Validate an argument, throwing `IllegalArgumentException` if the argument Collection is empty (`null` or no elements).
`static void` | `notEmpty(java.util.Map map)` Validate an argument, throwing `IllegalArgumentException` if the argument Map is empty (`null` or no elements).
`static void` | `notEmpty(java.util.Map map, java.lang.String message)` Validate an argument, throwing `IllegalArgumentException` if the argument Map is empty (`null` or no elements).
`static void` | `notEmpty(java.lang.Object[] array)` Validate an argument, throwing `IllegalArgumentException` if the argument array is empty (`null` or no elements).
`static void` | `notEmpty(java.lang.Object[] array, java.lang.String message)` Validate an argument, throwing `IllegalArgumentException` if the argument array is empty (`null` or no elements).
`static void` | `notEmpty(java.lang.String string)` Validate an argument, throwing `IllegalArgumentException` if the argument String is empty (`null` or zero length).
`static void` | `notEmpty(java.lang.String string, java.lang.String message)` Validate an argument, throwing `IllegalArgumentException` if the argument String is empty (`null` or zero length).
`static void` | `notNull(java.lang.Object object)` Validate an argument, throwing `IllegalArgumentException` if the argument is `null`.
`static void` | `notNull(java.lang.Object object, java.lang.String message)` Validate an argument, throwing `IllegalArgumentException` if the argument is `null`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Validate

    public Validate()

  Constructor. This class should not normally be instantiated.

Method Detail

### isTrue

    public static void isTrue(boolean expression,
                              java.lang.String message,
                              java.lang.Object value)

  Validate an argument, throwing `IllegalArgumentException` if the test result is `false`.

  This is used when validating according to an arbitrary boolean expression, such as validating a primitive number or using your own custom validation expression.

       Validate.isTrue( myObject.isOk(), "The object is not OK: ", myObject);

  For performance reasons, the object is passed as a separate parameter and appended to the message string only in the case of an error.

  Parameters:
    `expression` - a boolean expression
    `message` - the exception message you would like to see if the expression is `false`
    `value` - the value to append to the message in case of error
  Throws:
    `java.lang.IllegalArgumentException` - if expression is `false`

### isTrue

    public static void isTrue(boolean expression,
                              java.lang.String message,
                              long value)

  Validate an argument, throwing `IllegalArgumentException` if the test result is `false`.

  This is used when validating according to an arbitrary boolean expression, such as validating a primitive number or using your own custom validation expression.

       Validate.isTrue( i > 0, "The value must be greater than zero: ", i);

  For performance reasons, the long value is passed as a separate parameter and appended to the message string only in the case of an error.

  Parameters:
    `expression` - a boolean expression
    `message` - the exception message you would like to see if the expression is `false`
    `value` - the value to append to the message in case of error
  Throws:
    `java.lang.IllegalArgumentException` - if expression is `false`

### isTrue

    public static void isTrue(boolean expression,
                              java.lang.String message,
                              double value)

  Validate an argument, throwing `IllegalArgumentException` if the test result is `false`.

  This is used when validating according to an arbitrary boolean expression, such as validating a primitive number or using your own custom validation expression.

       Validate.isTrue( d > 0.0, "The value must be greater than zero: ", d);

  For performance reasons, the double value is passed as a separate parameter and appended to the message string only in the case of an error.

  Parameters:
    `expression` - a boolean expression
    `message` - the exception message you would like to see if the expression is `false`
    `value` - the value to append to the message in case of error
  Throws:
    `java.lang.IllegalArgumentException` - if expression is `false`

### isTrue

    public static void isTrue(boolean expression,
                              java.lang.String message)

  Validate an argument, throwing `IllegalArgumentException` if the test result is `false`.

  This is used when validating according to an arbitrary boolean expression, such as validating a primitive number or using your own custom validation expression.

       Validate.isTrue( (i > 0), "The value must be greater than zero");
       Validate.isTrue( myObject.isOk(), "The object is not OK");

  For performance reasons, the message string should not involve a string append, instead use the `isTrue(boolean, String, Object)` method.

  Parameters:
    `expression` - a boolean expression
    `message` - the exception message you would like to see if the expression is `false`
  Throws:
    `java.lang.IllegalArgumentException` - if expression is `false`

### isTrue

    public static void isTrue(boolean expression)

  Validate an argument, throwing `IllegalArgumentException` if the test result is `false`.

  This is used when validating according to an arbitrary boolean expression, such as validating a primitive number or using your own custom validation expression.

       Validate.isTrue( i > 0 );
       Validate.isTrue( myObject.isOk() );

  The message in the exception is 'The validated expression is false'.

  Parameters:
    `expression` - a boolean expression
  Throws:
    `java.lang.IllegalArgumentException` - if expression is `false`

### notNull

    public static void notNull(java.lang.Object object,
                               java.lang.String message)

  Validate an argument, throwing `IllegalArgumentException` if the argument is `null`.

       Validate.notNull(myObject, "The object must not be null");

  Parameters:
    `object` - the object to check is not `null`
    `message` - the exception message you would like to see if the object is `null`
  Throws:
    `java.lang.IllegalArgumentException` - if the object is `null`

### notNull

    public static void notNull(java.lang.Object object)

  Validate an argument, throwing `IllegalArgumentException` if the argument is `null`.

       Validate.notNull(myObject);

  The message in the exception is 'The validated object is null'.

  Parameters:
    `object` - the object to check is not `null`
  Throws:
    `java.lang.IllegalArgumentException` - if the object is `null`

### notEmpty

    public static void notEmpty(java.lang.Object[] array,
                                java.lang.String message)

  Validate an argument, throwing `IllegalArgumentException` if the argument array is empty (`null` or no elements).

       Validate.notEmpty(myArray, "The array must not be empty");

  Parameters:
    `array` - the array to check is not empty
    `message` - the exception message you would like to see if the array is empty
  Throws:
    `java.lang.IllegalArgumentException` - if the array is empty

### notEmpty

    public static void notEmpty(java.lang.Object[] array)

  Validate an argument, throwing `IllegalArgumentException` if the argument array is empty (`null` or no elements).

       Validate.notEmpty(myArray);

  The message in the exception is 'The validated array is empty'.

  Parameters:
    `array` - the array to check is not empty
  Throws:
    `java.lang.IllegalArgumentException` - if the array is empty

### notEmpty

    public static void notEmpty(java.util.Collection collection,
                                java.lang.String message)

  Validate an argument, throwing `IllegalArgumentException` if the argument Collection is empty (`null` or no elements).

       Validate.notEmpty(myCollection, "The collection must not be empty");

  Parameters:
    `collection` - the collection to check is not empty
    `message` - the exception message you would like to see if the collection is empty
  Throws:
    `java.lang.IllegalArgumentException` - if the collection is empty

### notEmpty

    public static void notEmpty(java.util.Collection collection)

  Validate an argument, throwing `IllegalArgumentException` if the argument Collection is empty (`null` or no elements).

       Validate.notEmpty(myCollection);

  The message in the exception is 'The validated collection is empty'.

  Parameters:
    `collection` - the collection to check is not empty
  Throws:
    `java.lang.IllegalArgumentException` - if the collection is empty

### notEmpty

    public static void notEmpty(java.util.Map map,
                                java.lang.String message)

  Validate an argument, throwing `IllegalArgumentException` if the argument Map is empty (`null` or no elements).

       Validate.notEmpty(myMap, "The map must not be empty");

  Parameters:
    `map` - the map to check is not empty
    `message` - the exception message you would like to see if the map is empty
  Throws:
    `java.lang.IllegalArgumentException` - if the map is empty

### notEmpty

    public static void notEmpty(java.util.Map map)

  Validate an argument, throwing `IllegalArgumentException` if the argument Map is empty (`null` or no elements).

       Validate.notEmpty(myMap);

  The message in the exception is 'The validated map is empty'.

  Parameters:
    `map` - the map to check is not empty
  Throws:
    `java.lang.IllegalArgumentException` - if the map is empty

### notEmpty

    public static void notEmpty(java.lang.String string,
                                java.lang.String message)

  Validate an argument, throwing `IllegalArgumentException` if the argument String is empty (`null` or zero length).

       Validate.notEmpty(myString, "The string must not be empty");

  Parameters:
    `string` - the string to check is not empty
    `message` - the exception message you would like to see if the string is empty
  Throws:
    `java.lang.IllegalArgumentException` - if the string is empty

### notEmpty

    public static void notEmpty(java.lang.String string)

  Validate an argument, throwing `IllegalArgumentException` if the argument String is empty (`null` or zero length).

       Validate.notEmpty(myString);

  The message in the exception is 'The validated string is empty'.

  Parameters:
    `string` - the string to check is not empty
  Throws:
    `java.lang.IllegalArgumentException` - if the string is empty

### noNullElements

    public static void noNullElements(java.lang.Object[] array,
                                      java.lang.String message)

  Validate an argument, throwing `IllegalArgumentException` if the argument array has `null` elements or is `null`.

       Validate.noNullElements(myArray, "The array must not contain null elements");

  If the array is null then the message in the exception is 'The validated object is null'.

  Parameters:
    `array` - the array to check
    `message` - the exception message if the array has `null` elements
  Throws:
    `java.lang.IllegalArgumentException` - if the array has `null` elements or is `null`

### noNullElements

    public static void noNullElements(java.lang.Object[] array)

  Validate an argument, throwing `IllegalArgumentException` if the argument array has `null` elements or is `null`.

       Validate.noNullElements(myArray);

  If the array has a null element the message in the exception is 'The validated array contains null element at index: '.

  If the array is null then the message in the exception is 'The validated object is null'.

  Parameters:
    `array` - the array to check
  Throws:
    `java.lang.IllegalArgumentException` - if the array has `null` elements or is `null`

### noNullElements

    public static void noNullElements(java.util.Collection collection,
                                      java.lang.String message)

  Validate an argument, throwing `IllegalArgumentException` if the argument Collection has `null` elements or is `null`.

       Validate.noNullElements(myCollection, "The collection must not contain null elements");

  If the collection is null then the message in the exception is 'The validated object is null'.

  Parameters:
    `collection` - the collection to check
    `message` - the exception message if the collection has `null` elements
  Throws:
    `java.lang.IllegalArgumentException` - if the collection has `null` elements or is `null`

### noNullElements

    public static void noNullElements(java.util.Collection collection)

  Validate an argument, throwing `IllegalArgumentException` if the argument Collection has `null` elements or is `null`.

       Validate.noNullElements(myCollection);

  The message in the exception is 'The validated collection contains null element at index: '.

  If the collection is null then the message in the exception is 'The validated object is null'.

  Parameters:
    `collection` - the collection to check
  Throws:
    `java.lang.IllegalArgumentException` - if the collection has `null` elements or is `null`

### allElementsOfType

    public static void allElementsOfType(java.util.Collection collection,
                                         java.lang.Class clazz,
                                         java.lang.String message)

  Validate an argument, throwing `IllegalArgumentException` if the argument collection is `null` or has elements that are not of type `clazz` or a subclass.

       Validate.allElementsOfType(collection, String.class, "Collection has invalid elements");

  Parameters:
    `collection` - the collection to check, not null
    `clazz` - the `Class` which the collection's elements are expected to be, not null
    `message` - the exception message if the `Collection` has elements not of type `clazz`
  Since:
    2.1

### allElementsOfType

    public static void allElementsOfType(java.util.Collection collection,
                                         java.lang.Class clazz)

  Validate an argument, throwing `IllegalArgumentException` if the argument collection is `null` or has elements that are not of type `clazz` or a subclass.

       Validate.allElementsOfType(collection, String.class);

  The message in the exception is 'The validated collection contains an element not of type clazz at index: '.

  Parameters:
    `collection` - the collection to check, not null
    `clazz` - the `Class` which the collection's elements are expected to be, not null
  Since:
    2.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.